# Contributing to `full-icu-npm`

## What is `full-icu-npm`?
International Components for Unicode (ICU) is an open-source project of mature C/C++ and Java libraries for Unicode support, software internationalization, and software globalization. ICU is widely portable to many operating systems and environments, and is an initiative of the [Unicode Consortium](https://home.unicode.org/).

Node.js uses ICU to implement these features in native C/C++ code. The full ICU data set is provided in Node.js by default, and this module is how it is provisioned to node. It's resulting npm package is published [here](https://www.npmjs.com/package/full-icu). 

**We are thankful for Your interest in contributing to this effort!**

> You can read more about how to use it in Node.js in the [Node.js Intl API](https://nodejs.org/api/intl.html) documentation.

## Code of Conduct
Contributors to this repository must adhere to the [Node.js Code of Conduct](https://github.com/nodejs/admin/blob/HEAD/CODE_OF_CONDUCT.md).

For more information on the Node.js Code of Conduct please review these [policy details](https://github.com/nodejs/node/blob/master/doc/guides/contributing/code-of-conduct.md).

## Developer's Certificate of Origin 1.1

By making a contribution to this project, I certify that:

 (a) The contribution was created in whole or in part by me and I
     have the right to submit it under the open source license
     indicated in the file; or

 (b) The contribution is based upon previous work that, to the best
     of my knowledge, is covered under an appropriate open source
     license and I have the right under that license to submit that
     work with modifications, whether created in whole or in part
     by me, under the same open source license (unless I am
     permitted to submit under a different license), as indicated
     in the file; or

 (c) The contribution was provided directly to me by some other
     person who certified (a), (b) or (c) and I have not modified
     it.

 (d) I understand and agree that this project and the contribution
     are public and that a record of the contribution (including all
     personal information I submit with it, including my sign-off) is
     maintained indefinitely and may be redistributed consistent with
     this project or the open source license(s) involved.